Bug 1662478 - "openstack" in location/organization name is expanded into "RHEL OpenStack Platform"
Summary: "openstack" in location/organization name is expanded into "RHEL OpenStack Pl...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Organizations and Locations
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-28 20:22 UTC by Jan Hutař
Modified: 2020-02-05 04:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-03 16:30:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Hutař 2018-12-28 20:22:32 UTC
Description of problem:
When I create location with "openstack" string in the name, it gets expanded into "RHEL OpenStack Platform" in the location switcher.


Version-Release number of selected component (if applicable):
satellite-6.5.0-5.beta.el7sat.noarch (latest snap, installed today)


How reproducible:
always


Steps to Reproduce:
1. Administer -> Locations -> New Location
    Name: "Location for capsule capsule.openstack.example.com"
   -> Submit -> Submit
2. Check location switcher in upper part of the page


Actual results:
There is "Location for capsule capsule.RHEL OpenStack Platform.example.com"


Expected results:
There is "Location for capsule capsule.openstack.example.com"


Additional info:
Are there any more strings that get expanded like this? I have tried "rhel", "ansible", "rhev" and "rhv" but have not hit similar issue. This is regression compared to 6.4.

Comment 4 Bryan Kearney 2020-01-15 21:01:05 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 5 anerurka 2020-01-22 14:45:19 UTC
This is also applicable for the Organization name.

This is seen when creating or modifying the organization name of any organization. In the organization properties, the name is listed correctly, however in the dropdown menu, "Openstack" is expanded to "RHEL OpenStack Platform".

Comment 7 Bryan Kearney 2020-02-03 16:30:22 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.


Note You need to log in before you can comment on or make changes to this bug.